<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'role', language 'he_kids', version '3.5'.
 *
 * @package     role
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['archetypecoursecreator'] = 'אב טיפוס: יוצר מרחבי־לימוד';
$string['archetypefrontpage'] = 'אב טיפוס: יוצר מרחבי־לימודמשתמש מאומת על הדף הראשון';
$string['assignroles_help'] = '<p align="center"><b>מינוי אנשים לתפקידים</b></p>

<p>
על ידי כך שאתם ממנים משתמש לתפקיד בתוך הקשר מסויים, אתם מעניקים לו את ההרשאות לגשת למשאבים שמגיעים עם התפקיד בהקשר הנוכחי, ובכל ההקשרים ה"נמוכים יותר".
</p>

<p>
הקשרים:
<ol>
<li>אתרמערכת</li>
<li>קטגוריות של מרחבי־לימוד</li>
<li>מרחבי־לימוד</li>
<li>בלוקים ופעילויות</li>
</ol>
</p>

<p>
למשל, אם תעניקו למשתמש כלשהו את תפקיד התלמיד במרחב־לימוד מסויים, התפקיד יחול עליו בתוך מרחב־הלימוד, וגם בכל הפעילויות והבלוקים שמתקיימים באותו מרחב־הלימוד. אבל יכול להיות, שהרשאות הגישה שלו יהיו תלויות בתפקידים וסמכויות אחרות שכבר הוגדרו מראש.
</p>

<p>
ראו גם:
<a href="help.php?file=roles.html">תפקידים</a>,
<a href="help.php?file=contexts.html">הקשרים</a>,
<a href="help.php?file=permissions.html">הרשאות גישה</a> and
<a href="help.php?file=overrides.html">סמכויות עוקפות</a>.
</p>';
$string['backup:backupcourse'] = 'גבה מרחבי־לימוד';
$string['community:add'] = 'השתמשו במשבצת חיפוש שרתי מרחבי־לימוד hubs ציבוריים לחיפוש מרחבי־לימוד';
$string['community:download'] = 'הורדת מרחב־לימוד בעזרת משבצת מרחבי־לימוד ציבוריים';
$string['course:changecategory'] = 'שנה קטגוריית מרחב־לימוד';
$string['course:changefullname'] = 'שנה את השם המלא של מרחב־הלימוד';
$string['course:changeidnumber'] = 'שנה את מספר הזיהוי של מרחב־הלימוד';
$string['course:changeshortname'] = 'שנה את השם המקוצר של מרחב־הלימוד';
$string['course:changesummary'] = 'שנה תקציר מרחב־לימוד';
$string['course:create'] = 'צור מרחבי־לימוד';
$string['course:delete'] = 'מחק מרחבי־לימוד';
$string['course:enrolconfig'] = 'הגדרת מופעי רישום במרחבי־לימוד';
$string['course:enrolreview'] = 'סקירת הרשמות מרחב־הלימוד';
$string['course:markcomplete'] = 'סמן משתמשים כ"הושלם" בהשלמת מרחב־הלימוד';
$string['course:publish'] = 'פרסם מרחב־לימוד לשרת מרחבי־לימוד (hub)';
$string['course:request'] = 'בקש מרחבי־לימוד חדשים';
$string['course:reset'] = 'אפס מרחב־לימוד';
$string['course:update'] = 'עדכן הגדרות מרחב־לימוד';
$string['course:view'] = 'צפה במרחבי־לימוד ללא השתתפותך';
$string['course:viewcoursegrades'] = 'ראה ציוני מרחבי־לימוד';
$string['course:viewhiddencourses'] = 'ראה מרחבי־לימוד מוסתרים';
$string['course:visibility'] = 'הסתר או הראה מרחבי־לימוד';
$string['deletecourseoverrides'] = 'מחק את כל הקצאות התפקידים המקומיות במרחב־לימוד';
$string['frontpageuserdescription'] = 'כל המשתמשים המחוברים בעמוד הבית של מרחב־הלימוד';
$string['globalroleswarning'] = 'אזהרה! כל התפקידים שתחלק מעמוד זה יהיו תקפים לגבי המשתמשים בכל רחבי האתר, כולל בעמוד הראשי וכל מרחבי־הלימוד.';
$string['legacy:coursecreator'] = 'תפקיד מורש: יוצר מרחב־לימוד';
$string['legacy:student'] = 'תפקיד מורש: תלמיד';
$string['managerdescription'] = 'מנהלים יכולים לגשת למרחב־לימוד ולשנות אותו , בדרך-כלל הם אינם משתתפים במרחב־לימוד.';
$string['overridepermissions_help'] = '<p align="center"><b>עקיפות</b></p>

<p>עקיפות הן למעשה הרשאות מסוימות שמתוכננות לעקוף תפקיד כלשהוא בהקשר מסוים ובכך מאפשרות לכם להתאים ולכוון את ההרשאות שלך.
</p>

<p>לדוגמא: נניח שמשתמשים בעלי תפקיד של תלמיד במרחב־לימוד שלכם יכולים, בדרך כלל, לפתוח בדיונים חדשים בפורומים וישנו פורום אחד בו הייתם רוצים להגביל את היכולת הזו. במצב כזה אתם יכולים להגדיר \'עקיפה\' שלוקחת מהתלמידים את היכולת "לפתוח בדיונים חדשים".</p>

<p>ניתן להשתמש בעקיפות גם כדי \'לפתוח\' איזורים באתר ובמרחבי־לימוד שלכם במטרה לתת למשתמשים היתרים נוספים. לדוגמא, יכול להיות שתירצו להתנסות ולתת לתלמידים את היכולת לבדוק, להעריך ולתת ציון למטלות מסויימות.
</p>

<p>ממשק זה דומה לממשק המשמש להגדרת התפקידים מלבד העובדה שלפעמים מוצגות בו רק יכולות רלוונטיות. בנוסף כמה מהיכולות יופיעו כאשר הן מודגשות וזאת כדי להראות לכם מה תהיה ההרשאה של התפקיד המדובר ללא עקיפה פעילה (כלומר, כאשר העקיפה מכוונת ל"לרשת").
</p>

<p>
ראו גם
<a href="help.php?file=roles.html">תפקידים</a>,
<a href="help.php?file=contexts.html">הקשרים</a>,
<a href="help.php?file=assignroles.html">חלק תפקידים</a> and
<a href="help.php?file=permissions.html">היתרים</a>.
</p>';
$string['permission_help'] = '<p align="center"><b>הרשאות</b></p>

<p> הרשאות הן ההגדרות שאתם מעניקים ליכולות מסויימות.
</p>

<p>לדוגמא, יכולת אחת היא "פתח בדיונים חדשים" (בפורומים).
</p>

<p>בכל תפקיד אתם יכולים להחליט להגדיר את ההרשאה (ליכולת) כערך אחד מתוך ארבעת הערכים הבאים:

<dl>
<dt>לרשת</dt>
<dd> לרוב זוהי ההגדרה שמשמשת כברירת המחדל. זוהי הגדרה ניטרלית שמשמעותה "השתמש בכל הגדרה שכבר יש למשתמש". אם משתמש כלשהוא ממונה לתפקיד (למשל במרחב־לימוד) בעל הרשאה זו ליכולת כלשהיא, אז ההרשאה הממשית שלו פשוט תהיה זהה להרשאה שכבר יש לו ברמות הגבוהות יותר (למשל קטגוריות או רמת האתר). בסופו של דבר, אם בשום רמה לא ניתנת למשתמש הרשאה אז לא תהיה לו שום הרשאה ליכולת ההיא.
    </dd>

<dt>אפשר</dt>
<dd>כשאתם בוחרים בזה, אתם למעשה נותנים לאנשים שממונים לתפקיד זה הרשאה ליכולת זו.
הרשאה זו תקפה להקשר שתפקיד זה מקבל בנוסף לכל ההקשרים ה"נמוכים יותר".
לדוגמא, אם תפקיד זה הוא תפקיד של תלמיד המוקצה למרחב־לימוד, אז תלמידים יוכלו "להתחיל דיונים חדשים" בכל הפרומים במרחב־לימוד המדובר, אלא אם כן פורומים מסויימים מכילים עקיפות סמכות או מטלות חדשות עם ערך \'מנע\' או \'אסור\' בנוגע ליכולת זו.
</dd>

<dt>מנע</dt>
<dd>אם אתם בוחרים בזה, אתם מסירים את כל ההרשאות ליכולת זו גם במידה ולמשתמשים שנמצאים בתפקיד זה הורשתה הרשאה זו בהקשר גבוה יותר.
</dd>

<dt>לאסור</dt>
<dd>ערך זה נדרש לעתים רחוקות אבל יכול להיות שלעתים תרצו למנוע לחלוטין הרשאות לתפקיד בדרך שלא יהיה ניתן לעקוף אותה בכל הקשר נמוך יותר. דוגמא טובה לאפשרות שבה תזדקקו לזה היא כאשר מנהל רוצה לאסור על אדם אחד להתחיל בדיונים חדשים בכל פורום בכל האתר. במקרה זה הוא יכול ליצור תפקיד בו יכולות זו (לפתוח בדיונים חדשים) מוגדרת כ-\'אסור\' ואז למנות את המשתמש לתפקיד זה בתוך ההקשר של האתר.
  </dd>

</dl>
</p>

<p align="center"><b>פתרון קונפליקטים בין הרשאות</b></p>

<p> הרשאות בהקשרים "נמוכים" יותר לרוב יעקפו כל דבר בהקשר "גבוה" יותר (הדבר תקף לעקיפות ומינויי תפקידים). היוצא מן הכלל הוא \'לאסור\', אותו אי אפשר לעקוף ברמות נמוכות יותר.
</p>

<p> אם לאותו אדם ממונים שני תפקידים באותו ההקשר, אחד אם \'אפשר\' ואחד עם \'מנע\', איזה מהם מנצח? במקרה זה מוודל יערוך חיפוש בעץ ההקשרים אחר "מחליט".
 </p>

<p>לדוגמא, לתלמיד יש שני תפקידים במרחב־לימוד, אחד שמאפשר לו לפתוח בדיונים חדשים ואחד שמונע זאת ממנו.
במקרה זה נבדוק את הקשרי הקטגוריות והאתר, כאשר אנו מחפשים אחר הרשאה מוגדרת אחרת שתעזור לנו להחליט.
אם לא נמצא אחת, אז לפי ברירת המחדל ההרשאה תהיה \'מנע\' (וזאת מפני ששתי ההגדרות ביטלו אחת את השניה ונשארנו ללא הרשאה.
</p>

<p align="center"><b>יוצאים מן הכלל</b></p>

<p> שימו לב שלרוב חשבון משתמש אורח לא יוכל לפרסם תוכן (לדוגמא פורומים, רשומות בלוח השנה, בלוגים) אפילו אם ניתנת לו היכולת לעשות זאת.
</p>

<p>
ראה גם:
<a href="help.php?file=roles.html">תפקידים</a>,
<a href="help.php?file=contexts.html">הקשרים</a>,
<a href="help.php?file=assignroles.html">מנה לתפקידים</a> and
<a href="help.php?file=overrides.html">עקיפות</a>.
</p>';
$string['restore:restorecourse'] = 'שחזר מרחבי־לימוד';
$string['restore:restoretargethub'] = 'שחזר מקבצים אשר מיועדים עבור שרת מרחבי־לימוד (hub)';
$string['restore:viewautomatedfilearea'] = 'שחזר מרחבי־לימוד מהגיבויים האוטומטיים';
$string['roles_help'] = '<p align="center"><b>תפקידים</b></p>

<p> תפקיד הוא אוסף של הרשאות שמוגדרות עבור האתר בכללותו, אותן אתם יכולים להעניק למשתמשים מסויימים בהקשרים מסויימים.
</p>

<p>לדוגמא, יכול להיות לכם תפקיד שנקרא "מורה" שמוגדר כדי לאפשר למורים לעשות דברים מסויימים (ולא לאחרים). ברגע שתפקיד זה קיים, אתם יכולים להעניק אותו למישהו במרחב־לימוד ובכך להפוך אותו ל"מורה" עבור אותו מרחב־הלימוד. בנוסף, אתם יכולים למנות לתפקיד הזה משתמש שנמצא בקטגוריית מרחב־הלימוד, ובכך להפוך אותו למורה עבור כל מרחבי־הלימוד שנמצאים באותה קטגוריה. או, למנות לתפקיד משתמש בתוך פורום יחידי, ובכך להעניק למשתמש הנ"ל את היכולות הללו רק במסגרת אותו הפורום.
<p>

<p>חובה שיהיה לתפקיד <strong>שם</strong>. אם אתם צריכים לתת לתפקיד שם עבור מספר שפות שונות, אם אתם רוצים בכך אתם יכולים להשתמש בתחביר רב-שפות (multilang), לדוגמא: <pre>
  &lt;span lang="en">Teacher&lt;/span>
  &lt;span lang="es_es">Profesor&lt;/span>
  </pre>אם אתם בוחרים לעשות זאת, וודאו שההגדרה "לסנן מחרוזות" מופעלת עבור ההתקנה שלכם.
</p>

<p>
 <strong>השם הקצר</strong> הוא הכרחי עבור התקני תקע אחרים במוודל, שיכול להיות ויצטרכו להתייחס לתפקידים שלכם (למשל: בזמן העלאת משתמשים מתוך קובץ או הגדרת הרשמות דרך התקן תקע שמשמש להרשמה).
<p>

<p>
<strong>התיאור</strong> משמעותו פשוט לתאר את התפקיד במילים שלכם, כך שלכולם תהיה הבנה משותפת של אותו התפקיד.
<p>

<p>
ראו גם:
<a href="help.php?file=contexts.html">הקשרים</a>,
<a href="help.php?file=permissions.html">הרשאות</a>,
<a href="help.php?file=assignroles.html">מנה לתפקידים</a> and
<a href="help.php?file=overrides.html">עקיפות</a>.
</p>';
$string['site:approvecourse'] = 'אשר יצירת מרחב־לימוד';
$string['site:backup'] = 'גבה את מרחב־הלימוד';
$string['site:import'] = 'יבוא לתוך מרחב־לימוד מרחבי־לימוד אחרים';
$string['site:restore'] = 'שחזר מרחבי־לימוד';
